---
updatedAt: 2026-08-26T09:21:19.000Z
agentTools:
  projectIndex: https://docs.whippy.ai/llms.txt
---

# Search LLMs

Searches LLMs in the authenticated organization based on filters.

Optionally, LLM records can be filtered by `status` and `model`.


# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "NotAuthenticatedErrorResponse": {
        "description": "Not Authenticated Error Response schema",
        "example": {
          "errors": [
            {
              "description": "Not authenticated"
            }
          ],
          "status": 401
        },
        "properties": {
          "errors": {
            "description": "Not authenticated error",
            "items": {
              "properties": {
                "description": {
                  "enum": [
                    "Not authenticated"
                  ],
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                }
              },
              "type": "object",
              "x-struct": null,
              "x-validate": null
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "enum": [
              401
            ],
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "NotAuthenticatedErrorResponse",
        "type": "object",
        "x-struct": "Elixir.DashboardApiWeb.Public.V1.Documentation.Errors.NotAuthenticated",
        "x-validate": null
      },
      "SearchLLMsParams": {
        "description": "Request schema for searching LLMs.",
        "properties": {
          "cursor": {
            "description": "Opaque cursor from the previous page",
            "nullable": true,
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "limit": {
            "default": 50,
            "maximum": 500,
            "minimum": 1,
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          },
          "model": {
            "description": "Filters by the model on the LLM's current version.",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "enum": [
              "draft",
              "active",
              "archived"
            ],
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "SearchLLMsParams",
        "type": "object",
        "x-struct": null,
        "x-validate": null
      },
      "SearchLLMsResponse": {
        "additionalProperties": false,
        "example": {
          "data": [
            {
              "created_at": "2024-02-28T12:33:40Z",
              "created_by": {
                "email": "carl@gmail.com",
                "id": 1,
                "name": "Carl Sagan",
                "phone": "+142481208301"
              },
              "current_version": {
                "created_at": "2024-04-30T08:56:24Z",
                "created_by_id": 1,
                "description": "GPT-4.1-Mini - Assistant",
                "id": "b8f0412f-8fbe-4d6a-999c-7f8367ca2677",
                "knowledge_base_ids": [
                  "802437e8-420c-473a-a543-72dfdce2b007"
                ],
                "llm_id": "ee12e0f4-fd3a-4e35-990c-dd206528b304",
                "model": "gpt-4.1-mini",
                "notes": null,
                "organization_id": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                "prompt": "You are a helpful, smart, kind, and efficient AI assistant.",
                "published_at": "2024-04-30T08:56:24Z",
                "settings": {
                  "begin_message": "Hello, how can I help you today?",
                  "knowledge_base_speak_during_execution": false,
                  "model_high_priority": false,
                  "model_temperature": 0.4,
                  "start_speaker": "agent",
                  "tool_call_strict_mode": false,
                  "tool_ids": []
                }
              },
              "deleted_at": null,
              "deleted_by": null,
              "draft_version": {
                "created_at": "2024-04-30T08:56:24Z",
                "created_by_id": 1,
                "description": "GPT-4.1-Mini - Assistant",
                "id": "b8f0412f-8fbe-4d6a-999c-7f8367ca2677",
                "knowledge_base_ids": [
                  "802437e8-420c-473a-a543-72dfdce2b007"
                ],
                "llm_id": "ee12e0f4-fd3a-4e35-990c-dd206528b304",
                "model": "gpt-4.1-mini",
                "notes": null,
                "organization_id": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                "prompt": "You are a helpful, smart, kind, and efficient AI assistant.",
                "published_at": "2024-04-30T08:56:24Z",
                "settings": {
                  "begin_message": "Hello, how can I help you today?",
                  "knowledge_base_speak_during_execution": false,
                  "model_high_priority": false,
                  "model_temperature": 0.4,
                  "start_speaker": "agent",
                  "tool_call_strict_mode": false,
                  "tool_ids": []
                }
              },
              "id": "ee12e0f4-fd3a-4e35-990c-dd206528b304",
              "organization": {
                "id": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                "name": "Hello Inc."
              },
              "status": "active",
              "updated_at": "2024-02-28T12:38:32Z",
              "updated_by": {
                "email": "carl@gmail.com",
                "id": 1,
                "name": "Carl Sagan",
                "phone": "+142481208301"
              }
            }
          ],
          "metadata": {
            "cursor_reset": false,
            "next_cursor": null
          }
        },
        "properties": {
          "data": {
            "items": {
              "description": "LLM record",
              "properties": {
                "created_at": {
                  "description": "Time of creation of the LLM in ISO 8601 format",
                  "example": "2024-02-28T12:33:40Z",
                  "format": "date-time",
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                },
                "created_by": {
                  "description": "Data for the user that created the LLM",
                  "example": {
                    "email": "carl@gmail.com",
                    "id": 1,
                    "name": "Carl Sagan",
                    "phone": "+142481208301"
                  },
                  "properties": {
                    "email": {
                      "description": "User email",
                      "example": "carl@gmail.com",
                      "format": "email",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "id": {
                      "description": "User ID",
                      "example": 1,
                      "type": "integer",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "name": {
                      "description": "User name",
                      "example": "Carl Sagan",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "phone": {
                      "description": "User phone",
                      "example": "+142481208301",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    }
                  },
                  "type": "object",
                  "x-struct": null,
                  "x-validate": null
                },
                "current_version": {
                  "description": "Current version of the LLM",
                  "example": {
                    "created_at": "2024-04-30T08:56:24Z",
                    "created_by_id": 1,
                    "description": "GPT-4.1-Mini - Assistant",
                    "id": "b8f0412f-8fbe-4d6a-999c-7f8367ca2677",
                    "knowledge_base_ids": [
                      "802437e8-420c-473a-a543-72dfdce2b007"
                    ],
                    "llm_id": "ee12e0f4-fd3a-4e35-990c-dd206528b304",
                    "model": "gpt-4.1-mini",
                    "notes": null,
                    "organization_id": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                    "prompt": "You are a helpful, smart, kind, and efficient AI assistant.",
                    "published_at": "2024-04-30T08:56:24Z",
                    "settings": {
                      "begin_message": "Hello, how can I help you today?",
                      "knowledge_base_speak_during_execution": false,
                      "model_high_priority": false,
                      "model_temperature": 0.4,
                      "start_speaker": "agent",
                      "tool_call_strict_mode": false,
                      "tool_ids": []
                    }
                  },
                  "properties": {
                    "created_at": {
                      "description": "Time of creation of the LLM version in ISO 8601 format",
                      "example": "2024-04-30T08:56:24Z",
                      "format": "date-time",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "created_by_id": {
                      "description": "Created by user ID",
                      "example": 1,
                      "nullable": true,
                      "type": "integer",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "description": {
                      "description": "Description of the LLM",
                      "example": "GPT-4.1-Mini - Assistant",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "id": {
                      "description": "ID of the LLM Version",
                      "example": "b8f0412f-8fbe-4d6a-999c-7f8367ca2677",
                      "format": "uuid",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "knowledge_base_ids": {
                      "description": "IDs of knowledge bases to be used by the LLM",
                      "example": [
                        "802437e8-420c-473a-a543-72dfdce2b007"
                      ],
                      "items": {
                        "description": "ID of knowledge base to be used by the LLM",
                        "example": "802437e8-420c-473a-a543-72dfdce2b007",
                        "format": "uuid",
                        "type": "string",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "nullable": true,
                      "type": "array",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "llm_id": {
                      "description": "ID of LLM the LLM Version belongs to",
                      "example": "ee12e0f4-fd3a-4e35-990c-dd206528b304",
                      "format": "uuid",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "model": {
                      "description": "Model of the LLM.\n\n**The gpt-realtime, gpt-realtime-mini, gpt-realtime-1.5, gpt-realtime-2, gpt-realtime-2.1, gpt-realtime-2.1-mini models are speech-to-speech models.**\n",
                      "enum": [
                        "gpt-4.1",
                        "gpt-4.1-mini",
                        "gpt-4.1-nano",
                        "gpt-5",
                        "gpt-5-mini",
                        "gpt-5-nano",
                        "gpt-5.1",
                        "gpt-5.2",
                        "gpt-5.4",
                        "gpt-5.4-mini",
                        "gpt-5.4-nano",
                        "gpt-5.5",
                        "gpt-5.6-luna",
                        "gpt-5.6-terra",
                        "gpt-5.6-sol",
                        "gpt-6-astra",
                        "gpt-6-sol",
                        "gpt-6-luna",
                        "gpt-6.1-sol",
                        "claude-4.5-haiku",
                        "claude-4.5-sonnet",
                        "claude-4.6-sonnet",
                        "claude-5-sonnet",
                        "claude-5.5-sonnet",
                        "claude-4-7-opus",
                        "claude-4-8-opus",
                        "claude-5-5-opus",
                        "gemini-2.5-flash",
                        "gemini-2.5-flash-lite",
                        "gemini-3.0-flash",
                        "gemini-3.1-flash-lite",
                        "gemini-3.1-pro",
                        "gemini-3.5-flash",
                        "gemini-3.5-flash-lite",
                        "gemini-3.6-flash",
                        "gemini-3.7-flash",
                        "gemini-3.8-flash",
                        "qwen35-397b-a17b",
                        "qwen36-35b-a3b",
                        "gpt-realtime",
                        "gpt-realtime-mini",
                        "gpt-realtime-1.5",
                        "gpt-realtime-2",
                        "gpt-realtime-2.1",
                        "gpt-realtime-2.1-mini"
                      ],
                      "example": "gpt-4.1-mini",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "notes": {
                      "description": "Notes for the LLM version",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "organization_id": {
                      "description": "Organization ID",
                      "example": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                      "format": "uuid",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "prompt": {
                      "description": "Prompt of the LLM.\n\nSupports placeholders in the format `{{placeholder||fallback}}`, where fallback is optional,\ne.g. `... the user's name is {{full_name}}, ...`. Can also be used with custom data in the\nformat `{{custom.custom_object_key.custom_property_key:resource}}`.\n",
                      "example": "You are a helpful, smart, kind, and efficient AI assistant.",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "published_at": {
                      "description": "Time the LLM version was published in ISO 8601 format",
                      "example": "2024-04-30T08:56:24Z",
                      "format": "date-time",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "settings": {
                      "additionalProperties": false,
                      "description": "Provider-safe settings of the LLM version",
                      "properties": {
                        "begin_message": {
                          "description": "Message spoken when the LLM starts the conversation",
                          "example": "Hello, how can I help you today?",
                          "nullable": true,
                          "type": "string",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "knowledge_base_speak_during_execution": {
                          "default": false,
                          "description": "Speak during execution option of the knowledge base search.\n\nControls whether to speak or not during knowledge base search execution.\n",
                          "example": false,
                          "type": "boolean",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "model_high_priority": {
                          "description": "Whether the LLM uses high-priority model capacity",
                          "example": false,
                          "nullable": true,
                          "type": "boolean",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "model_temperature": {
                          "description": "Randomness of the model response, from 0 to 1",
                          "example": 0.4,
                          "maximum": 1,
                          "minimum": 0,
                          "nullable": true,
                          "type": "number",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "start_speaker": {
                          "description": "Speaker that starts the conversation",
                          "enum": [
                            "agent",
                            "user"
                          ],
                          "example": "agent",
                          "nullable": true,
                          "type": "string",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "tool_call_strict_mode": {
                          "description": "Whether tool call arguments must follow the tool schema",
                          "example": false,
                          "nullable": true,
                          "type": "boolean",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "tool_ids": {
                          "description": "IDs of tools available to the LLM",
                          "example": [],
                          "items": {
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "nullable": true,
                          "type": "array",
                          "x-struct": null,
                          "x-validate": null
                        }
                      },
                      "type": "object",
                      "x-struct": null,
                      "x-validate": null
                    }
                  },
                  "type": "object",
                  "x-struct": null,
                  "x-validate": null
                },
                "deleted_at": {
                  "description": "Time of deletion of the LLM in ISO 8601 format",
                  "format": "date-time",
                  "nullable": true,
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                },
                "deleted_by": {
                  "description": "Data for the user that deleted the LLM",
                  "nullable": true,
                  "properties": {
                    "email": {
                      "description": "User email",
                      "example": "carl@gmail.com",
                      "format": "email",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "id": {
                      "description": "User ID",
                      "example": 1,
                      "type": "integer",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "name": {
                      "description": "User name",
                      "example": "Carl Sagan",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "phone": {
                      "description": "User phone",
                      "example": "+142481208301",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    }
                  },
                  "type": "object",
                  "x-struct": null,
                  "x-validate": null
                },
                "draft_version": {
                  "description": "Draft version of the LLM",
                  "example": {
                    "created_at": "2024-04-30T08:56:24Z",
                    "created_by_id": 1,
                    "description": "GPT-4.1-Mini - Assistant",
                    "id": "b8f0412f-8fbe-4d6a-999c-7f8367ca2677",
                    "knowledge_base_ids": [
                      "802437e8-420c-473a-a543-72dfdce2b007"
                    ],
                    "llm_id": "ee12e0f4-fd3a-4e35-990c-dd206528b304",
                    "model": "gpt-4.1-mini",
                    "notes": null,
                    "organization_id": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                    "prompt": "You are a helpful, smart, kind, and efficient AI assistant.",
                    "published_at": "2024-04-30T08:56:24Z",
                    "settings": {
                      "begin_message": "Hello, how can I help you today?",
                      "knowledge_base_speak_during_execution": false,
                      "model_high_priority": false,
                      "model_temperature": 0.4,
                      "start_speaker": "agent",
                      "tool_call_strict_mode": false,
                      "tool_ids": []
                    }
                  },
                  "nullable": true,
                  "properties": {
                    "created_at": {
                      "description": "Time of creation of the LLM version in ISO 8601 format",
                      "example": "2024-04-30T08:56:24Z",
                      "format": "date-time",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "created_by_id": {
                      "description": "Created by user ID",
                      "example": 1,
                      "nullable": true,
                      "type": "integer",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "description": {
                      "description": "Description of the LLM",
                      "example": "GPT-4.1-Mini - Assistant",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "id": {
                      "description": "ID of the LLM Version",
                      "example": "b8f0412f-8fbe-4d6a-999c-7f8367ca2677",
                      "format": "uuid",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "knowledge_base_ids": {
                      "description": "IDs of knowledge bases to be used by the LLM",
                      "example": [
                        "802437e8-420c-473a-a543-72dfdce2b007"
                      ],
                      "items": {
                        "description": "ID of knowledge base to be used by the LLM",
                        "example": "802437e8-420c-473a-a543-72dfdce2b007",
                        "format": "uuid",
                        "type": "string",
                        "x-struct": null,
                        "x-validate": null
                      },
                      "nullable": true,
                      "type": "array",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "llm_id": {
                      "description": "ID of LLM the LLM Version belongs to",
                      "example": "ee12e0f4-fd3a-4e35-990c-dd206528b304",
                      "format": "uuid",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "model": {
                      "description": "Model of the LLM.\n\n**The gpt-realtime, gpt-realtime-mini, gpt-realtime-1.5, gpt-realtime-2, gpt-realtime-2.1, gpt-realtime-2.1-mini models are speech-to-speech models.**\n",
                      "enum": [
                        "gpt-4.1",
                        "gpt-4.1-mini",
                        "gpt-4.1-nano",
                        "gpt-5",
                        "gpt-5-mini",
                        "gpt-5-nano",
                        "gpt-5.1",
                        "gpt-5.2",
                        "gpt-5.4",
                        "gpt-5.4-mini",
                        "gpt-5.4-nano",
                        "gpt-5.5",
                        "gpt-5.6-luna",
                        "gpt-5.6-terra",
                        "gpt-5.6-sol",
                        "gpt-6-astra",
                        "gpt-6-sol",
                        "gpt-6-luna",
                        "gpt-6.1-sol",
                        "claude-4.5-haiku",
                        "claude-4.5-sonnet",
                        "claude-4.6-sonnet",
                        "claude-5-sonnet",
                        "claude-5.5-sonnet",
                        "claude-4-7-opus",
                        "claude-4-8-opus",
                        "claude-5-5-opus",
                        "gemini-2.5-flash",
                        "gemini-2.5-flash-lite",
                        "gemini-3.0-flash",
                        "gemini-3.1-flash-lite",
                        "gemini-3.1-pro",
                        "gemini-3.5-flash",
                        "gemini-3.5-flash-lite",
                        "gemini-3.6-flash",
                        "gemini-3.7-flash",
                        "gemini-3.8-flash",
                        "qwen35-397b-a17b",
                        "qwen36-35b-a3b",
                        "gpt-realtime",
                        "gpt-realtime-mini",
                        "gpt-realtime-1.5",
                        "gpt-realtime-2",
                        "gpt-realtime-2.1",
                        "gpt-realtime-2.1-mini"
                      ],
                      "example": "gpt-4.1-mini",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "notes": {
                      "description": "Notes for the LLM version",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "organization_id": {
                      "description": "Organization ID",
                      "example": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                      "format": "uuid",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "prompt": {
                      "description": "Prompt of the LLM.\n\nSupports placeholders in the format `{{placeholder||fallback}}`, where fallback is optional,\ne.g. `... the user's name is {{full_name}}, ...`. Can also be used with custom data in the\nformat `{{custom.custom_object_key.custom_property_key:resource}}`.\n",
                      "example": "You are a helpful, smart, kind, and efficient AI assistant.",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "published_at": {
                      "description": "Time the LLM version was published in ISO 8601 format",
                      "example": "2024-04-30T08:56:24Z",
                      "format": "date-time",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "settings": {
                      "additionalProperties": false,
                      "description": "Provider-safe settings of the LLM version",
                      "properties": {
                        "begin_message": {
                          "description": "Message spoken when the LLM starts the conversation",
                          "example": "Hello, how can I help you today?",
                          "nullable": true,
                          "type": "string",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "knowledge_base_speak_during_execution": {
                          "default": false,
                          "description": "Speak during execution option of the knowledge base search.\n\nControls whether to speak or not during knowledge base search execution.\n",
                          "example": false,
                          "type": "boolean",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "model_high_priority": {
                          "description": "Whether the LLM uses high-priority model capacity",
                          "example": false,
                          "nullable": true,
                          "type": "boolean",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "model_temperature": {
                          "description": "Randomness of the model response, from 0 to 1",
                          "example": 0.4,
                          "maximum": 1,
                          "minimum": 0,
                          "nullable": true,
                          "type": "number",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "start_speaker": {
                          "description": "Speaker that starts the conversation",
                          "enum": [
                            "agent",
                            "user"
                          ],
                          "example": "agent",
                          "nullable": true,
                          "type": "string",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "tool_call_strict_mode": {
                          "description": "Whether tool call arguments must follow the tool schema",
                          "example": false,
                          "nullable": true,
                          "type": "boolean",
                          "x-struct": null,
                          "x-validate": null
                        },
                        "tool_ids": {
                          "description": "IDs of tools available to the LLM",
                          "example": [],
                          "items": {
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          },
                          "nullable": true,
                          "type": "array",
                          "x-struct": null,
                          "x-validate": null
                        }
                      },
                      "type": "object",
                      "x-struct": null,
                      "x-validate": null
                    }
                  },
                  "type": "object",
                  "x-struct": null,
                  "x-validate": null
                },
                "id": {
                  "description": "LLM ID",
                  "example": "ee12e0f4-fd3a-4e35-990c-dd206528b304",
                  "format": "uuid",
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                },
                "organization": {
                  "description": "Data for the organization that the LLM belongs to",
                  "example": {
                    "id": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                    "name": "Hello Inc."
                  },
                  "properties": {
                    "id": {
                      "description": "Organization ID",
                      "example": "6229219d-f1a9-44a8-85bb-5c6503180e6d",
                      "format": "uuid",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "name": {
                      "description": "Organization name",
                      "example": "Hello Inc.",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    }
                  },
                  "type": "object",
                  "x-struct": null,
                  "x-validate": null
                },
                "status": {
                  "description": "LLM status",
                  "enum": [
                    "draft",
                    "active",
                    "archived",
                    "deleted"
                  ],
                  "example": "active",
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                },
                "updated_at": {
                  "description": "Time of the last update of the LLM in ISO 8601 format",
                  "example": "2024-02-28T12:38:32Z",
                  "format": "date-time",
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                },
                "updated_by": {
                  "description": "Data for the user that updated the LLM",
                  "example": {
                    "email": "carl@gmail.com",
                    "id": 1,
                    "name": "Carl Sagan",
                    "phone": "+142481208301"
                  },
                  "properties": {
                    "email": {
                      "description": "User email",
                      "example": "carl@gmail.com",
                      "format": "email",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "id": {
                      "description": "User ID",
                      "example": 1,
                      "type": "integer",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "name": {
                      "description": "User name",
                      "example": "Carl Sagan",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    "phone": {
                      "description": "User phone",
                      "example": "+142481208301",
                      "nullable": true,
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    }
                  },
                  "type": "object",
                  "x-struct": null,
                  "x-validate": null
                }
              },
              "type": "object",
              "x-struct": null,
              "x-validate": null
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "metadata": {
            "additionalProperties": false,
            "description": "Pagination metadata.",
            "properties": {
              "cursor_reset": {
                "description": "Whether an invalid cursor was reset to the first page",
                "type": "boolean",
                "x-struct": null,
                "x-validate": null
              },
              "next_cursor": {
                "description": "Opaque cursor for the next page",
                "nullable": true,
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "required": [
              "next_cursor",
              "cursor_reset"
            ],
            "type": "object",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "data",
          "metadata"
        ],
        "title": "SearchLLMsResponse",
        "type": "object",
        "x-struct": null,
        "x-validate": null
      },
      "ForbiddenErrorResponse": {
        "description": "Forbidden Error Response schema",
        "example": {
          "error": "Token does not have the required scope for this action."
        },
        "properties": {
          "error": {
            "description": "Stable public error message for insufficient OAuth scope",
            "example": "Token does not have the required scope for this action.",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "error"
        ],
        "title": "ForbiddenErrorResponse",
        "type": "object",
        "x-struct": "Elixir.DashboardApiWeb.Public.V1.Documentation.Errors.Forbidden",
        "x-validate": null
      },
      "LLMUnprocessableContentErrorResponse": {
        "additionalProperties": false,
        "description": "List of error responses for invalid LLM requests.",
        "example": {
          "errors": [
            {
              "description": "Limit must be between 1 and 100"
            }
          ],
          "status": 422
        },
        "properties": {
          "errors": {
            "description": "LLM 422 errors",
            "items": {
              "additionalProperties": false,
              "description": "Single 422 error",
              "properties": {
                "description": {
                  "description": "Human-readable explanation of the invalid request.",
                  "example": "Limit must be between 1 and 100",
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                }
              },
              "required": [
                "description"
              ],
              "type": "object",
              "x-struct": null,
              "x-validate": null
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "status": {
            "enum": [
              422
            ],
            "example": 422,
            "type": "integer",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "status",
          "errors"
        ],
        "title": "LLMUnprocessableContentErrorResponse",
        "type": "object",
        "x-struct": null,
        "x-validate": null
      }
    },
    "securitySchemes": {
      "authorization": {
        "in": "header",
        "name": "X-WHIPPY-KEY",
        "type": "apiKey"
      },
      "bearer": {
        "description": "OAuth Access token",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Whippy Public API.\n\n## Authentication\n\nThe Whippy Public API supports two authentication methods:\n\n**API Key** — Generate an organization API token and send it with every request as the `X-WHIPPY-KEY` header.\n\n**OAuth Bearer Token** — Obtain an access token via the OAuth authorization flow and send it as a Bearer token in the `Authorization` header (e.g. `Authorization: Bearer <access_token>`).\n\n## Rate Limiting\n\nThe Whippy API is rate limited. Different endpoints have different rate limits.\nEach request to the API will return the following headers, which can be used to keep track of your rate limit status:\n * `x-ratelimit-max`: The maximum number of requests that the consumer is permitted to make in the given time period.\n * `x-ratelimit-remaining`: The number of requests remaining in the current rate limit window.\n * `x-ratelimit-interval-milliseconds`: The rate limit window in milliseconds.\n * `x-ratelimit-remaining-interval-milliseconds`: The time in milliseconds until the rate limit window resets.\n",
    "title": "Whippy Public API",
    "version": "1.0"
  },
  "openapi": "3.0.0",
  "paths": {
    "/v1/llms/search": {
      "post": {
        "callbacks": {},
        "deprecated": false,
        "description": "Searches LLMs in the authenticated organization based on filters.\n\nOptionally, LLM records can be filtered by `status` and `model`.\n",
        "operationId": "searchLLMs",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SearchLLMsParams"
              }
            }
          },
          "description": "Search LLMs Request",
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SearchLLMsResponse"
                }
              }
            },
            "description": "Search LLMs Response"
          },
          "401": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotAuthenticatedErrorResponse"
                }
              }
            },
            "description": "Not Authenticated"
          },
          "403": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ForbiddenErrorResponse"
                }
              }
            },
            "description": "Forbidden"
          },
          "422": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/LLMUnprocessableContentErrorResponse"
                }
              }
            },
            "description": "Unprocessable Content"
          }
        },
        "security": [
          {
            "authorization": []
          },
          {
            "bearer": []
          }
        ],
        "summary": "Search LLMs",
        "tags": [
          "LLM"
        ]
      }
    }
  },
  "security": [],
  "servers": [
    {
      "url": "https://api.whippy.co",
      "variables": {}
    }
  ]
}
```